Bug 21943 - Clean up holds template
Summary: Clean up holds template
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 14546
  Show dependency treegraph
 
Reported: 2018-12-04 16:26 UTC by Owen Leonard
Modified: 2019-04-26 13:18 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 21943: Clean up holds template (3.86 KB, patch)
2018-12-04 16:32 UTC, Owen Leonard
Details | Diff | Splinter Review
Screenshot of responsive view (3.21 KB, image/png)
2019-03-07 17:17 UTC, Liz Rea
Details
Bug 21943: (follow-up) Fix float error with sidebar menu (1.24 KB, patch)
2019-03-11 13:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21943: Clean up holds template (3.91 KB, patch)
2019-04-08 16:01 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 21943: (follow-up) Fix float error with sidebar menu (1.29 KB, patch)
2019-04-08 16:01 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 21943: Clean up holds template (3.97 KB, patch)
2019-04-08 21:21 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21943: (follow-up) Fix float error with sidebar menu (1.35 KB, patch)
2019-04-08 21:21 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-12-04 16:26:20 UTC
There are some minor markup issues with the holds template in the staff client, including needing a Bootstrap grid upgrade.
Comment 1 Owen Leonard 2018-12-04 16:32:14 UTC
Created attachment 82847 [details] [review]
Bug 21943: Clean up holds template

This patch makes a few markup corrections to the holds template in the
staff client: Replace some YUI markup with Bootstrap; Replace invalid
"alt" attributes with "title."

To test, apply the patch and test the process of placing a hold, both
single and multiple holds. At each step of the process the page should
look correct and adjust well at various browser widths.
Comment 2 Liz Rea 2019-03-07 17:17:00 UTC
Created attachment 86305 [details]
Screenshot of responsive view

Hi,

Sorry the responsive view doesn't look quite right. Have a look?

Cheers,
Liz
Comment 3 Owen Leonard 2019-03-11 13:50:29 UTC
Created attachment 86454 [details] [review]
Bug 21943: (follow-up) Fix float error with sidebar menu

This patch makes a minor change to the staff client CSS to fix a float
clearing problem when the <main> element contains only a floated element
like <fieldset>. It is a global change, but shouldn't cause unwanted
effects because a non-clearing <main> isn't used in any
float-dependent layouts.

To test, apply the patch and regenerate the staff client CSS. View the
place hold screen and confirm that the sidebar menu looks correct at
narrower browser widths.
Comment 4 Liz Rea 2019-04-08 16:01:28 UTC
Created attachment 87533 [details] [review]
Bug 21943: Clean up holds template

This patch makes a few markup corrections to the holds template in the
staff client: Replace some YUI markup with Bootstrap; Replace invalid
"alt" attributes with "title."

To test, apply the patch and test the process of placing a hold, both
single and multiple holds. At each step of the process the page should
look correct and adjust well at various browser widths.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 5 Liz Rea 2019-04-08 16:01:31 UTC
Created attachment 87534 [details] [review]
Bug 21943: (follow-up) Fix float error with sidebar menu

This patch makes a minor change to the staff client CSS to fix a float
clearing problem when the <main> element contains only a floated element
like <fieldset>. It is a global change, but shouldn't cause unwanted
effects because a non-clearing <main> isn't used in any
float-dependent layouts.

To test, apply the patch and regenerate the staff client CSS. View the
place hold screen and confirm that the sidebar menu looks correct at
narrower browser widths.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 6 Katrin Fischer 2019-04-08 21:21:08 UTC
Created attachment 87554 [details] [review]
Bug 21943: Clean up holds template

This patch makes a few markup corrections to the holds template in the
staff client: Replace some YUI markup with Bootstrap; Replace invalid
"alt" attributes with "title."

To test, apply the patch and test the process of placing a hold, both
single and multiple holds. At each step of the process the page should
look correct and adjust well at various browser widths.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2019-04-08 21:21:12 UTC
Created attachment 87555 [details] [review]
Bug 21943: (follow-up) Fix float error with sidebar menu

This patch makes a minor change to the staff client CSS to fix a float
clearing problem when the <main> element contains only a floated element
like <fieldset>. It is a global change, but shouldn't cause unwanted
effects because a non-clearing <main> isn't used in any
float-dependent layouts.

To test, apply the patch and regenerate the staff client CSS. View the
place hold screen and confirm that the sidebar menu looks correct at
narrower browser widths.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Nick Clemens 2019-04-17 12:27:41 UTC
Awesome work all!

Pushed to master for 19.05
Comment 9 Martin Renvoize 2019-04-26 13:18:17 UTC
Enhancement will not be backported to 18.11.x series.